View Issue Details

IDProjectCategoryView StatusLast Update
0005086Kali Linux[All Projects] Kali Package Improvementpublic2018-11-08 10:36
ReporterD tkAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2018.3 
Target VersionFixed in Version2019.1 
Summary0005086: For Peepdf functionality, add build and add PyV8 package to Kali repo
DescriptionWhile the Peepdf tool runs and has basic functionality currently, in order to analyze javascript within PDF files, it requires PyV8 and Libemu. The libemu packages are requirements are able to be satisfied either by repo packages or via pip.

Unfortunately, the PyV8 requirements don't appear to be able to be satisfied in any official way.

Activities

sbrun

sbrun

2018-11-06 15:52

manager   ~0009927

I just uploaded peepdf version 0.4.2-0kali1.
python-pylibemu and python-pyv8 are now "recommended dependencies", they will be installed by default when installing or upgrading python-peepdf.
NB: python-pyv8 is not available on arm64.

Issue History

Date Modified Username Field Change
2018-11-08 10:36 D tk New Issue
2018-11-08 10:36 D tk Issue generated from: 0004970